gp_digest(1)

NAME
gp_digest - show restriction sites of a sequence

SYNOPSIS
gp_digest [-o type] [-e enzymfile] [-q] [-v] [-d] [-h] enzym [inputfile] [outputfile]

OPTIONS

-o type
    Output type. Following types are accepted (it is enough to give the first letter):

-o ascii
    (default) draws a simple ascii scheme of the restricted fragment

-o position
    prints restriction sites, which are always the 5' ends of the plus strang

-o sequences
    simulates gp_digestion of a given sequence and prints out the fragments which will be left after gp_digestion, from the 5' to the 5' end (sometimes the 3' ends will be longer!)

-o fragments
    prints the positions from the abovementioned fragments

-o lengths
    print only the lengths of the gp_digested fragments

-o number
    shows only a total number of gp_digested fragments

-e enzymfile
    takes the enzyme descriptions from the specified enzyme file. The default file is defined at the compilation time, usually it is /usr/share/genpak/enzyme.enz, which contains most of the known restriction enzymes. You can copy it to your local directory and modify to suit your needs.

-v  Prints the version information.

-d  Prints lots of debugging information.

-h  Shows usage information.

enzym
    the enzyme you want to "gp_digest" your fragment with. Lowercase/ uppercase doesn't matter.

inputfile
    file to proces; if not given, will use standard input

outputfile
    file to write the data to; if not given, will use standard output

DESCRIPTION

gp_digest simulates a gp_digestion of a sequence fragment with a restriction enzyme.

EXAMPLES

To simulate what you will see on a gel after a gp_digestion with two enzymes, do something like that:

gp_digest -o s AflII yoursequence | gp_digest -o n EcoRI | sort -n +0

NOTE

This program has not yet been thoroughfully checked, although it prints correct enzyme restriction sites for the

o   sequence gp_digested with some enzymes I know.

SEE ALSO
Genpak(1) gp_acc(1) gp_adjust(1) gp_cdndev(1) gp_cusage(1) gp_dimer(1) gp_findorf(1) gp_gc(1) gp_getseq(1) gp_map(1) gp_matrix(1) gp_mkmtx(1) gp_pattern(1) gp_primer(1) gp_qs(1) gp_randseq(1) gp_seq2prot(1) gp_slen(1) gp_tm(1) gp_trimer(1)

DIAGNOSTICS

All Genpak programs complain in situations you would also complain, like when they cannot find a sequence you gave them or the sequence is not valid.

The Genpak programs do not write over existing files. I have found this feature very useful :-)

BUGS

I'm sure there are plenty left, so please mail me if you find them. I tried to clean up every bug I could find.

AUTHOR

January Weiner III <january@bioinformatics.org>